AutoCAD 2006 Readme: Introduction

AutoCAD 2006 Readme

This Readme contains important information about the release of AutoCAD® 2006 that may not be documented in the printed documentation or in Help.

  • Installation, Configuration, and Hardware
  • Graphics Card Driver Update
  • Draw and Edit
  • Plot and Publish
  • Text and Language
  • Developer Information
  • Command and System Variable History
  • Trademarks


Installation, Configuration, and Hardware

Installation and Configuration

Registry Keys Left Behind After Uninstall

  • If the Autodesk® DWFTM Viewer has never been installed, the following empty key may remain in the registry after AutoCAD is uninstalled:
    • HKLM\Software\Autodesk
  • Uninstalling the DWF Viewer leaves behind these registry keys:
    • Software\Autodesk\DWF Common
    • Software\Autodesk\DWF Viewer

Adobe Reader Installation

  • If you try to install Adobe Reader and the Windows user name contains 8-bit or 2-byte characters (for example, accented or Asian characters), the installation fails when your operating system uses the FAT32 file system.

    To fix the problem, create a new Windows user name that contains only ASCII characters, log in, and then double-click the EXE file in the Bin\ACADFeui\Support\Adobe directory on your product CD.

    If you cannot create a new Windows user name, ask your system administrator to do so.

Error Reporting

  • The Error Report message, which is displayed when your AutoCAD session ends unexpectedly, encourages you to send error reports to Autodesk. Error reports help Autodesk identify and resolve many problems with the product. The Error Report message is similar to the one that is shown when an application ends unexpectedly on a computer running Microsoft® Windows® XP. Error reporting records the portion of the product that is in use when the work session ends. In the Error Report message, click Optional Data, enter the following information, and then click Send Report:
    • Information about what you were doing in AutoCAD before your session ended unexpectedly
    • Your contact information

    Providing this information helps Autodesk reproduce the error and fix it as quickly as possible. If an AutoCAD session ends unexpectedly but the Error Report message is not displayed, make sure that the REPORTERROR system variable is set to 1.

New Features Workshop

  • If the New Features Workshop is not displayed correctly after you install AutoCAD, restart your system.

Digital Signatures

  • By default, the digital signatures icon in Windows Explorer is now installed in a disabled state, unlike in previous versions of AutoCAD.

    To turn on the digital signatures function
    1. In the windows\system32 folder, double-click AcSignOpt.exe.
    2. In the Signature Validation Options dialog box, make sure the following check box is selected: Validate Digital Signatures and Display Special Icons. Click OK.
    3. The change will go into effect after you close and reopen Windows.

Hardware

Graphics Card Driver Update

  • For the best program performance, you should verify and update your graphics card driver. For more information, see Graphics Card Driver Update.

3D Graphics Performance

  • If you have a video card that supports OpenGL, you can increase graphics performance and productivity when working with 3D models by turning on Hardware Acceleration. However, some video cards and drivers that support OpenGL may not be compatible with AutoCAD when Hardware Acceleration is turned on. This incompatibility may result in unexpected problems with AutoCAD.

    To turn on Hardware Acceleration
    1. On the Tools menu, click Options.
    2. In the Options dialog box, System tab, under Current 3D Graphics Display, click the Properties button.
    3. In the 3D Graphics System Configuration dialog box, Acceleration area, select the Hardware option, and then click Apply & Close.

Hewlett-Packard Designjet Printer Driver

  • Autodesk no longer ships the Windows system printer driver for the Hewlett-Packard Designjet series on the product CD. If you need this driver, you can download it at http://www.designjet.hp.com.


Graphics Card Driver Update

It is recommended that you verify and update your graphics card driver to optimize AutoCAD. Use the following procedure to identify your current graphics card driver.

To identify your graphics card driver

  1. On your desktop in Windows, right-click, and then click Properties on the shortcut menu.
  2. In the Display Properties dialog box, click the Settings tab.
  3. On the Settings tab, click Advanced, and then click the Adapter tab.
  4. Review information about your system's graphics card driver.

    If you find that you do need to update your driver, visit the graphics card vendor's website and download the latest driver for your operating system. Use the following procedure to load the updated driver.

To load the updated driver

  1. On your desktop in Windows, right-click, and then click Properties on the shortcut menu.
  2. In the Display Properties dialog box, click the Settings tab
  3. On the Settings tab, click Advanced, and then click the Adapter tab.
  4. On the Adapter tab, click Properties, and then click the Driver tab.
  5. Click Update Driver.
  6. Follow the instructions to install the driver.


Draw and Edit

Drawing Environment

Tool Palettes

  • Tool palettes can be used only in the version of the product in which they were created. For example, you cannot use a tool palette that was created in AutoCAD 2006 in AutoCAD 2005.

Customization Files with the Same Name

  • When loading partial menus, AutoCAD first searches the Support File Search Path (defined on the Files tab of the Options dialog box). If you try to load a customization (CUI) file that has the same name as another file, the program automatically loads the file located in the Support File Search Path, regardless of which file you specified. To avoid confusion, make sure that file names are unique.

Workspaces

  • When you have selected the Automatically Save Workspace Changes option in the Workspace Settings dialog box (WSSETTINGS), the current workspace is automatically saved when you close the product. However, the workspace is not saved if you close AutoCAD when no drawings are open. To ensure that the workspace is saved upon closing, either use WSSAVE to save the workspace before you close the last drawing or make sure that at least one drawing is open when you close AutoCAD.

Dynamic Input

Dynamic Input and the Command Window

  • Dynamic Input is not designed to replace the command window. You can hide the command window to increase your drawing area, but you will need to display it for some operations. Press F2 to hide and display command prompts and error messages as needed. You can also undock the command window and use Auto-hide to roll open or roll up the window.

Dynamic Input Guidelines

  • You can now enter coordinate values in a tooltip instead of on the command line. The X,Y coordinate values you enter for most commands are by default interpreted as relative polar coordinates--not absolute coordinates, as in previous releases of the product. To enter relative coordinates, you usually do not need to enter the at sign (@); you only need to enter the relative offset values. To indicate absolute coordinates, use the pound sign (#) prefix. For example, to move an object to the drawing origin, enter #0,0 at the second point prompt.
  • The DYNPICOORDS system variable controls whether pointer input uses relative or absolute format for coordinates. You can use symbol prefixes to temporarily override these settings:
    • To enter absolute coordinates when relative coordinates are displayed in the tooltip, enter #.
    • To enter relative coordinates when absolute coordinates are displayed, enter @.
    • To enter absolute world coordinate system (WCS) coordinates, enter * (an asterisk).
  • When dimensional input is turned on (DYNMODE = 2 or 3), the program switches to pointer input when you enter a comma (,) an angle bracket (<) or when you select multiple grip points.
  • When you enter a dimensional value and press the TAB key, the field displays a lock icon, and the cursor is constrained by the value that you entered.
  • You may get unexpected results if you enter values in a Dynamic Input tooltip when the cursor is off the drawing area and the tooltip is not visible.
  • Dynamic Input is not supported for perspective views.

Dimensional Input and Grips

  • The behavior has changed when you use grips to stretch vertices when dimensional input is turned on (DYNMODE = 2 or 3). Entering a single direct distance value differs from previous releases because you are editing the segments' total length or angle value, not the vertex position. For best results, turn off dimensional input by setting DYNMODE to 0 or 1, by pressing F12, or by clicking the Dynamic Input button (DYN) on the status bar.

Dimensional Input - Grip Editing and Angles

  • When you use grips to stretch objects or when you create new objects, the dimensional input pointer displays only acute angles. That is, all angles are displayed as 180 degrees or less. Thus, an angle of 270 degrees is displayed as 90 degrees regardless of the angle direction set in the Drawing Units dialog box. Angles specifications rely on the direction of the cursor movement to determine the positive angle direction.

Object Selection Cycling

  • Use of the TAB key to cycle through objects causes different behavior, depending on the dynamic input setting:
    • For dimensional input (DYNMODE=3): When you select multiple objects that share a common grip and then click the grip, the TAB key cycles through all the dimensions for each selected object.
    • For pointer input (DYNMODE=1): If you enter a value during a command, use the left angle bracket (<) or comma (,) instead of the TAB key to display an additional input field.

Paste Values into a Dynamic Prompt Tooltip

  • To use PASTECLIP to paste values from the Windows Clipboard into a dynamic prompt tooltip, type a letter in the tooltip and then backspace to delete the letter before you paste the entry. Otherwise, the entry is pasted into the drawing as text.

Other Drafting Issues

Temporary Override Keys

  • You can modify the keyboard response time for temporary override keys by changing settings in the Windows Control Panel.

    To adjust the temporary override key response time
    1. From the Windows Start menu, click Settings > Control Panel.
    2. In the Control Panel, click Keyboard.
    3. In the Keyboard Properties dialog box, on the Speed tab, drag the Repeat Rate slider to adjust the keyboard response time. Then click OK.

Associative Dimensions

  • To turn on associative dimensioning by default every time that you open a drawing, add the following line to the acad2006doc.lsp file, which is located in the Support directory:

    (setvar "DIMASSOC" 2)

Use DIMREGEN to update dimensions after opening a drawing that was modified with an earlier release or after opening a drawing with external references that have been modified. If you want to update dimensions automatically, you can add the following line to the acad2006doc.lsp file in the Support directory:

(command "DIMREGEN")

Solid Hatches

  • Drawings that contain solid hatches may produce larger plot files than drawings with other types of hatches.

Layers and Lineweight Values

  • To create named layer filters using lineweight filtering criteria, in the Named Layer Filters dialog box, Lineweight box, enter lineweight values as they are listed in the Lineweight List (for example, enter 0.30 mm with a space between the number and "mm"). You can also use wild-card characters (for example, enter *3*) to filter using lineweight criteria. If you want to filter for multiple lineweights, the values must be separated by commas without spaces (for example, enter 0.30 mm,0.1*). Custom lineweight values are implemented by using plot styles and are not applicable to layers, objects, or named layer filters.

Nonrectangular Viewports

  • Assigning a noncontinuous linetype to a nonrectangular viewport can result in model space geometry that is irregularly clipped inside the viewport, or it can cause AutoCAD to become unstable.
  • When you use the JPGOUT, PNGOUT, BMPOUT, and TIFOUT commands in a layout that contains nonrectangular viewports with a 3D setting of SHADEMODE and with all objects and viewports selected, portions of other viewports may be obscured and objects may not be visible. You can use the PUBLISH command to create more accurate raster output.
  • Do not freeze layers that contain nonrectangular viewports; instead, turn off layers with nonrectangular viewports or set the Plot property of the layer to No Plot. When you freeze a layer that contains a nonrectangular viewport, the viewport boundary becomes rectangular. Objects in the viewport that should be clipped by the boundary of the nonrectangular viewport appear to be clipped, but when you regenerate or plot the drawing, the objects are not clipped as you expect. To correct the problem once it exists, you must thaw the layer and then regenerate the drawing.

AutoSnap Markers

  • When you use object snaps, AutoSnapTM markers identify snap locations as you move your pointing device over them. Although these markers normally disappear when you move your pointing device to a different part of the drawing, they may remain on the screen under specific conditions. Only the Intersection and Apparent Intersection object snaps work this way, and only when the Display Polar Tracking Vector option is cleared on the Drafting tab in the Options dialog box. The AutoSnap markers in this situation affect the display of the drawing only; they are not part of the drawing itself. To remove the markers, close and reopen the drawing.

Nested Xrefs

  • You can resolve nested external references (xrefs) with relative paths. The relative path is based on the location of the original host drawing of the xref, not the currently open drawing. When a nested xref is reported as "not found," edit the path in its original host drawing, not in the drawing that is currently open. The setting for the VISRETAIN system variable no longer determines how relative paths of nested xrefs are resolved.

Project Organization

Sheet Sets

  • The Sheet Set Manager is not fully functional if
    • A command is active.
    • No drawing is open.
    • The sheet set is locked by another user.
    • A lock icon displayed in front of the sheet set name in the Sheet Set Manager indicates that the sheet set is locked. Hold your cursor over the lock icon to view a tooltip that shows who has the sheet set locked.
  • When you select a sheet in the Sheet Set Manager, the sheet's status may be listed incorrectly as Locked for Edit by Unknown in the Details area. To update the sheet's status, open the sheet.
  • On Novell networks, the Sheet Set Manager does not display a lock icon when the sheet set is locked by another user. Shortcut menu options in the Sheet Set Manager are displayed as if they are available for use, but some of them may not work.
  • If you remove a sheet from a sheet set and then import the sheet back into the sheet set, fields that display sheet set information in block attributes are displayed as pound signs. To correct these fields, you can either re-create the field or reinsert the block. If you re-create the field, because the sheet is already in a sheet set, you should use a sheet set property field, not a placeholder field.
  • Sheet set fields (fields that were selected from the sheet set category) behave differently than other types of fields. By default, other types of fields update automatically when you save the drawing or when you use REGEN. In contrast, sheet set fields store the last values that were used, and they display these stored values if the information referenced by the sheet set field is not accessible. To update the value in a sheet set field, use the UPDATEFIELD command. If the information referenced by the sheet set field is still not accessible, the value for the field will be displayed as ####.

Using One DWT for Page Setups and Blocks on a Network

  • Some sheet set functions are unavailable when two network users access a sheet set that uses the same drawing template file (DWT) for label and callout blocks, sheet template, and page setup overrides. To avoid this problem, do not use the same DWT file for storing page setups and block libraries.


Plot and Publish

Plot and Print Drawings

Paper and Image Orientation

  • For some plotters, you can load the same size sheet of paper in two different ways: landscape or portrait. Grit-wheel plotters typically list the same paper size twice in the Paper Size menu, for example, ANSI A (8.5" x 11") and ANSI A (11" x 8.5"). Most desktop printers load the paper in just one orientation, usually portrait.

    AutoCAD automatically rotates the plot so that the paper image is displayed on the screen in landscape orientation, even if the paper is loaded into the plotter in portrait orientation. Use Full Plot Preview to see the actual paper orientation.

    The Drawing Orientation area of the Page Setup and Plot dialog boxes displays an image that shows the orientation of the paper as it is loaded into the plotter. The letter A shows the orientation of the plotted objects. Most desktop printers use a portrait paper orientation with the plot rotated for landscape viewing.

    You can change the orientation display for Windows system printers by clicking the image in the Properties dialog box for the printer. Changing this setting only affects the size of the printable area; it does not change the plotted image orientation you set in the Page Setup and Plot dialog boxes. Keep the Landscape/Portrait setting in Custom Properties the same when you plot the drawing as when you create it.

Publish Drawings

Gradient Objects

  • Gradient objects may shift or seem to disappear when they are published to DWF files. This problem occurs when the gradient resolution is not set to the same value as the vector resolution. To resolve this problem, edit the Custom Properties for the DWF6 ePlot driver and set Gradient Resolution to equal the Vector Resolution. To edit custom properties, from the Plot dialog box, click Properties button > Custom Properties node > Custom Properties button.

3D DWF Preview

  • Use the 3DDWFPUBLISH command to access the 3D DWFTM Publishing Technology preview. After the objects you select are processed, you can view the 3D DWF file output using Autodesk DWF Viewer.
  • The 3D DWF Publish Technology preview is subject to these limitations:
    • Infinite lines (xlines, rays) are not published.
    • Clipping planes and xref clipping are not supported.
    • OLE objects and inserted images are not supported.
    • Hyperlinks are not supported.
    • Text fonts are converted to Arial.
    • Text formatting is not supported.
    • Autodesk DWF Viewer opens files in Shaded mode only.
    • Hatches with gradient fills display the default layer color.
    • Various linetypes and lineweights are not displayed correctly in a published DWF file.
    • Edges Only and Shaded With Edges modes in Autodesk DWF Viewer display objects with triangulated faces. Use Shaded mode only.


Text and Language

Text

Font Overrides in DXF Files

  • When you save a DXFTM file, font override information is applied automatically to the whole multiline text object if it has a Big Font SHX style applied. As a result, if you change the current text style to specify a different font, the change does not apply to that multiline text unless you reapply the style to the whole multiline text object.

Language

Multiple-Language Support

  • When you copy and paste characters that have been created using a language other than the system language, the characters may not be displayed correctly. You can correct this display with the In-Place Text Editor.

    To correct the display to show the original language
    1. Double-click the text to open it in the In-Place Text Editor.
    2. Right-click inside the editor. Click Character Set and choose the original language.
  • In order to view and edit drawings with characters that are not included in the languages specified for your operating system, make sure supplemental language support is installed in your computer operating system. You can specify the language in the Regional and Language Options dialog box, available from the Windows Control Panel. (You may be able to view text that uses SHX fonts without specifying extra language support.)
  • Text styles for Asian languages that use SHX and Big Font can support characters only from the same code page. For example, text styles that use a Japanese Big Font cannot support German or Korean characters. (English characters, which are part of every code page, are supported.) Multiple-language support for non-Asian languages is supported for text styles that use SHX fonts with Big Fonts disabled. (The SHX font must define the required characters).
  • To make it easier to use multiple-language multiline text on operating systems that support different languages, use a TrueType font setting in the In-Place Text Editor.
  • Multiple-language support does not exist in some earlier versions of AutoCAD. For example, when you save a file to AutoCAD® 2000 format, the contents of multiple-language multiline text may be corrupted. This problem is more likely to happen when you open and save a drawing on an operating system with a system language setting that differs from the system in which the drawing was last saved.

Folder or File Names

  • AutoCAD does not distinguish between double-byte-character file names in which only upper- and lowercases vary. This may result in problems with importing and creates a potential for overwriting files.

    To ensure compatibility when you open files and insert xrefs into other drawings, be sure to use ASCII characters for file and folder names.

Double-Byte Character Issues

Toolbar Names

  • You cannot create a new toolbar with a name that consists only of one-byte numerals. You can only use English alphabetic characters or double-byte text in the toolbar name.

Symbol Names

  • When registering a symbol name using Roman characters in a layer or a block, the first character of the symbol name is converted to uppercase and the subsequent characters to lowercase for both double-byte and one-byte characters. For example, "abc" becomes "Abc." For one-byte characters, a warning states that "abc" and "Abc" are identical symbol names, but with double-byte alphanumeric characters, an identical name is registered without a warning, and you may not be able to display the symbols properly.

    Symbol names in imported drawings created with AutoCAD Release 13 (Japanese) will also be converted in the same manner. For best results, assign each symbol a unique name.

Layer Names

  • When drawings with layer names that use double-byte characters are exported in EPS format, an error may occur when the EPS file is opened in Adobe Illustrator. When it is necessary to read a file in Adobe Illustrator, avoid using layer names that include double-byte characters.
  • If you use the 0xx??60 character to name layers, you may not be able to use -LAYER to turn on or turn off the layer display from the command line. Instead, you can use the Layer Properties Manager (LAYER command).

Texture Map Search Paths

  • You cannot specify a double-byte (Japanese) folder named 0xx5C in the Texture Maps Search Path node of the Options dialog box (Files tab). However, you can specify the files within this folder by using an absolute path.

Data Source Names

  • Character codes (such as 0xx??41 and 0xx??61) that are used for data source names may not be handled correctly. This problem occurs when you create multiple data sources using optional names (Japanese) specified in the database configuration. As a result, some of the data source names may not be listed. When this problem occurs, you can change the name of the unlisted data source to another name.

Text Display

Vertical Text for Asian Languages

  • SHX Fonts - Text can be created with SHX fonts and Big Fonts for vertical display in the same way as for previous releases. For best results, use the single-line TEXT command, not MTEXT. You can select a vertical style in the Text Style dialog box.

    TrueType fonts - You still select fonts starting with the @ sign, but now the text is automatically rotated 270 degrees. (In previous releases, you had to manually rotate this text.) Vertical cursor movement is now supported for vertical text.

Font Display

  • If the default font doesn't support the characters you enter using the In-Place Text Editor (MTEXT command), an alternative font is usually substituted.
  • CIF or MIF codes entered with the In-Place Text Editor (MTEXT command) or with the DTEXT command are now automatically converted to display the actual characters.

Asian Big Fonts Shipped with the Product

The following Big Fonts are shipped with the product:

  • @extfont2.shx - Japanese font that is used with SHX fonts to get vertical writing (a few characters are rotated to work correctly in vertical text)
  • bigfont.shx - Japanese font
  • chineset.shx - Traditional Chinese font
  • extfont.shx - Japanese font
  • extfont2.shx - Japanese font
  • gbcbig.shx - Simplified Chinese font
  • whgdtxt.shx - Korean font
  • whgtxt.shx - Korean font
  • whtgtxt.shx - Korean font
  • whtmtxt.shx - Korean font


Developer Information

Changes that May Affect Scripts

Changes to the following commands or system variables may affect pre-existing scripts:

  • ADCNAVIGATE - When you use ADCNAVIGATE to open DesignCenter, you no longer have to press ENTER or ESC to display the Enter Pathname prompt. This change may affect pre-existing scripts.
  • EXTEND - For the EXTEND command, if you do not select an object at the Select Objects to Extend prompt, you are now prompted to specify the opposite corner of a crossing window. This change may affect pre-existing scripts that call EXTEND and supply a pick point that selects no objects. You can fix legacy scripts by omitting points that do not select objects.
  • -INSERT - If you use the new Scale Uniformly option in the Block Definition dialog box, you are no longer prompted to enter separate scale factors for X,Y,Z coordinates when you insert a block using the -INSERT command. This change may affect pre-existing scripts that use this command.
  • MENULOAD - By default, the MENULOAD command will load only CUI files in AutoCAD 2006. To perform a menuload of an MNU or MNS file in AutoCAD 2006, you must explicitly include the extension in the file name, as shown in the following example:

    (command "menuload" "myMenu.mnu")

    However, rather than changing your code, it is strongly recommended that you open your legacy menu files in AutoCAD 2006 before running applications that use them. AutoCAD automatically converts them to CUI files, and the CUI files will be loaded by existing code that uses the file name without an extension.

    Legacy code that specifies an MNU, MNS, or MNC extension should be changed to reference a CUI file, and AutoCAD 2006-based applications should ship with CUI files, not MNU, MNS, or MNC files.

  • TRIM - For the TRIM command, if you do not select an object at the Select Objects to Trim prompt, you are now prompted to specify the opposite corner of a crossing window. This change may affect pre-existing scripts that call TRIM and supply a pick point that selects no objects. You can fix legacy scripts by omitting points that do not select objects.

Visual LISP

Visibility of the AutoCAD Process

  • AutoLISP® scripts that run at startup should check whether the AutoCAD process is visible or invisible. If the process is invisible, the script should not execute, because the process may be performing background plotting or publishing operations. To check whether the AutoCAD process is visible or invisible, you can use the Visible property of the Application object in the AutoCAD Object Model.

Carriage Returns

  • When used in the Visual LISP® IDE, the \r escape character does not result in a carriage return. Instead, text is displayed immediately following the last printed text. As a work-around, you can use (CHR 13) instead of \r.

Notifications

  • In some cases, the vlr-sysVarWillChange and vlr-sysVarChanged notifications are triggered multiple times for one system variable change.

Grips

  • AutoCAD no longer supports grips on unselected objects. As a result, the gripset argument of the AutoLISP sssetfirst function is ignored, and the ssgetfirst function returns nil for the first selection set returned.

True Color

  • If you have a full installation of AutoCAD, utilities for working with True Color are located in the \Sample\VisualLISP folder, in the color-util.lsp file. The utilities can be used for operations related to True Color, such as getting the components of a true color number, converting a color index or color name to a true color value, returning a DXF group code list, and working with an entity list.

    The following AutoLISP functions provide access to the True Color user interface:

    (acad_truecolordlg color [allowbylayer] [currentlayercolor]).
    Prompts for colors through a dialog box. The color parameter is a dotted pair describing the default color; the first element of the dotted pair must be one of the color-related DXF group codes (62, 420, or 430). If the allowbylayer parameter is present and is not nil, the ByLayer and ByBlock buttons are shown. When the operation is successful, the function returns a list of one or more dotted pairs describing the color selected. The last dotted pair in the list indicates the color selected. The function returns nil if the user cancels the dialog box.

    (acad_truecolorcli color [allowbylayer] [alternatePrompt]).
    Prompts for colors at the command line. The first two parameters are identical to acad_truecolordlg, and the third parameter is an optional prompt string. If this string is omitted, the default value is "New color."

The entmod and entmake Functions

  • In AutoCAD 2004 and later releases, the entmod and entmake functions have new behavior in color operations. DXF group code 62 holds AutoCAD Color Index (ACI) values, but code 420 holds true color values. If the true color value and ACI value conflict, AutoCAD uses the 420 value, so the code 420 value should be removed before attempting to use the code 62 value. For more information, perform a full installation of AutoCAD and see the color-util.lsp file located in the \Sample\VisualLISP folder.

Closure of Associated Applications

  • When an AutoLISP routine no longer uses an object outside AutoCAD, such as a Microsoft Excel object, call the (vlax-release-object) function to make sure that the associated application closes properly. Objects released with (vlax-release-object...) may not be released immediately. The actual release may not happen until the next automatic garbage collection occurs. You can call (gc) directly to force the garbage collection to occur at a specific location within your code. However, calling (gc) may degrade performance, and it is recommended that you avoid placing calls to (gc) in locations where it is likely to be called many times in a row, such as within loops.

    If an object-associated application does not close after calling the (gc) function, the (vlax-release-object) function was not called for all objects outside AutoCAD.

Load Errors

  • If LOAD encounters an error while loading a separate-namespace VLX, some functions may have been exported to the current document namespace before the error was detected. You must be sure to fix the error, rebuild, and reload the VLX in order to ensure that the correct version of all functions is exported to the current document.
  • When the CUILOAD command loads a partial menu in MDI, the MNL file for that menu loads once for every open document, with all user interaction occurring in the current document. To avoid redundant printed messages or user prompts when AutoCAD is initiated with multiple drawings, it is recommended that you do not include any user interaction in MNL LISP code. Instead, use MNL code to load any needed AutoLISP files for subsequent menu item selections. Use the acad.lsp or acaddoc.lsp files to execute AutoLISP code to be processed when a drawing is opened.
  • Passing a file name argument to the ActiveX UnloadDVB method using vla-unloadDVB fails if you use single forward slashes as delimiters. It is recommended that you specify file name arguments with double backslashes as delimiters when calling vla-loadDVB, vla-RunMacro, and vla-unloadDVB.

Display of the Multiple Design Environment Dialog Box

  • The Multiple Design Environment dialog box allows you to change the default functionality of the initialization of the AutoLISP environment. This dialog box is displayed under the following conditions:
    • The Do Not Show value of the AcadLspAsDocDlg registry key is set to 0.
    • There are no scripts running, and there is no AutoLISP or ActiveX application running.
    • The ACADLSPASDOC system variable is set to 0.
    • An acad.lsp file exists in the AutoCAD search path.
    • An acaddoc.lsp file does not exist in the AutoCAD search path.
    • The SDI system variable is set to 0.
    If all these conditions are true, the Multiple Design Environment dialog box is displayed the first time that a second document is opened in each session.

Garbled Print Sequences

  • Printing a list that contains more than 4000 characters causes a circular overflow within a fixed buffer size, making the output garbled when viewed online. The work-around solution is to revise code for your AutoLISP applications to print out less than 4000 characters of information at a time. This means breaking up the printed output into multiple print statements.

ActiveX and VBA

Visibility of the AutoCAD Process

  • VBA scripts that run at startup should check whether the AutoCAD process is visible or invisible. If the process is invisible, the script should not execute, because the process may be performing background plotting or publishing operations. To check whether the AutoCAD process is visible or invisible, you can use the Visible property of the Application object in the AutoCAD Object Model.

AcadOle Object

  • To use VBA to insert information from another application into AutoCAD, use the AcadOle object. Additional information about the AcadOle object is available in the VBA Object Browser.


Command and System Variable History

Where to Learn About AutoCAD

The following resources can help you learn more about this product and its new features:

  • The "What's Inside" tab of the Media Browser (installation)
  • New Features Workshop (Help menu)
  • Help system (Help menu)
  • Developer Help (Help menu > Additional Resources)
  • Autodesk User Group International (AUGI) (Help menu > Additional Resources)
  • The Autodesk website at http://www.autodesk.com

Commands

New Commands

  • 3DDWFPUBLISH - Creates 3D DWF files of three-dimensional models
  • BACTION - Adds an action to a dynamic block definition
  • BACTIONSET - Specifies the selection set of objects associated with an action in a dynamic block definition
  • BACTIONTOOL - Adds an action to a dynamic block definition
  • BASSOCIATE - Associates an action with a parameter in a dynamic block definition
  • BATTORDER - Specifies the order of attributes for a block
  • BAUTHORPALETTE - Opens the Block Authoring Palettes window in the Block Editor
  • BAUTHORPALETTECLOSE - Closes the Block Authoring Palettes window in the Block Editor
  • BCLOSE - Closes the Block Editor
  • BCYCLEORDER - Changes the cycling order of grips for a dynamic block reference
  • BEDIT - Opens the Edit Block Definition dialog box and then the Block Editor
  • -BEDIT - Opens the Edit Block Definition dialog box and then the Block Editor (command line)
  • BGRIPSET - Creates, deletes, or resets grips associated with a parameter
  • BLOOKUPTABLE - Displays or creates a lookup table for a dynamic block definition
  • BPARAMETER - Adds a parameter with grips to a dynamic block definition
  • BSAVE - Saves the current block definition
  • BSAVEAS - Saves a copy of the current block definition under a new name
  • BVHIDE - Makes objects invisible in the current visibility state or all visibility states in a dynamic block definition
  • -BVHIDE - Makes objects invisible in the current visibility state or all visibility states in a dynamic block definition (command line)
  • BVSHOW - Makes objects visible in the current visibility state or all visibility states in a dynamic block definition
  • -BVSHOW - Makes objects visible in the current visibility state or all visibility states in a dynamic block definition (command line)
  • BVSTATE - Creates, sets, or deletes a visibility state in a dynamic block
  • -BVSTATE - Creates, sets, or deletes a visibility state in a dynamic block (command line)
  • COMMANDLINE - Displays the command line
  • COMMANDLINEHIDE - Hides the command line
  • CUI - Manages customized user interface elements such as workspaces, toolbars, menus, shortcut menus, and keyboard shortcuts
  • CUIEXPORT - Exports customized settings from acad.cui to an enterprise or partial CUI file
  • CUIIMPORT - Imports customized settings from an enterprise or partial CUI file to acad.cui
  • CUILOAD - Loads a CUI file
  • CUIUNLOAD - Unloads a CUI file
  • DIMARC - Creates an arc length dimension
  • DIMJOGGED - Creates jogged radius dimensions
  • DRAWINGRECOVERY - Displays a list of drawing files that can be recovered after a program or system failure
  • DRAWINGRECOVERYHIDE - Closes the Drawing Recovery Manager
  • GRADIENT - Fills an enclosed area or selected objects with a gradient fill
  • -HATCH - Fills an enclosed area or selected objects with a hatch pattern, solid fill, or gradient fill (command line)
  • JOIN - Joins objects to form a single, unbroken object
  • QCCLOSE - Closes QuickCalc
  • QUICKCALC - Opens the QuickCalc calculator
  • RESETBLOCK - Resets one or more dynamic block references to the default values of the block definition
  • SCALELISTEDIT - Controls the list of scales available for layout viewports, page layouts, and plotting
  • -SCALELISTEDIT - Controls the list of scales available for layout viewports, page layouts, and plotting (command line)
  • VTOPTIONS - Displays a change in view as a smooth transition
  • WORKSPACE - Creates, modifies, and saves workspaces and makes a workspace current
  • WSSAVE - Saves a workspace
  • WSSETTINGS - Sets options for workspaces

Changed Commands

  • ADCNAVIGATE - Loads a specified DesignCenter drawing file, folder, or network path
  • ATTDEF - Creates an attribute definition
  • -ATTDEF - Creates an attribute definition (command line)
  • BLOCK - Creates a block definition from selected objects
  • -BLOCK - Creates a block definition from selected objects (command line)
  • BOUNDARY - Creates a region or a polyline from an enclosed area
  • CAL - Evaluates mathematical and geometric expressions
  • CHAMFER - Bevels the edges of objects
  • COPY - Copies objects a specified distance in a specified direction
  • CUSTOMIZE - Customizes tool palettes
  • EATTEXT - Exports block attribute information to a table or to an external file
  • -EATTEXT - Exports block attribute information to a table or to an external file (command line)
  • EXTEND - Extends an object to meet another object
  • FIELD - Creates a multiline text object with a field that can be updated automatically as the field value changes
  • FILLET - Rounds and fillets the edges of objects
  • FIND - Finds, replaces, selects, or zooms to specified text
  • HATCH - Fills an enclosed area or selected objects with a hatch pattern or solid fill
  • INSERT - Places a drawing or named block into the current drawing
  • -INSERT - Places a drawing or named block into the current drawing (command line)
  • MIRROR - Creates a mirror image copy of objects
  • MLSTYLE - Defines a style for multiple parallel lines
  • MTEXT - Creates paragraphs of text as a single multiline text (mtext) object
  • MOVE - Moves objects a specified distance in a specified direction
  • OFFSET - Creates concentric circles, parallel lines, and parallel curves
  • OPTIONS - Customizes the product settings
  • PUBLISH - Publishes drawings to DWF files
  • RECTANG - Draws a rectangular polyline
  • ROTATE - Revolves objects around a base point
  • SCALE - Enlarges or reduces selected objects proportionally in the X, Y, and Z directions
  • STRETCH - Moves or stretches objects
  • TOOLPALETTES - Opens the Tool Palettes window
  • TRIM - Trims objects at a cutting edge defined by other objects
  • XATTACH - Attaches an external reference to the current drawing

Removed or Obsolete Commands

  • MENU - Loads a customization file (To be removed from a future release. Replaced by CUILOAD)
  • MENULOAD - Loads partial menu files (To be removed from a future release. Replaced by CUILOAD)
  • MENUUNLOAD - Unloads partial customizaiton files (To be removed from a future release. Replaced by CUIUNLOAD)
  • RMLIN - Inserts markups from an RML file into a drawing (Replaced by MARKUP)
  • -RMLIN - Inserts markups from an RML file into a drawing (command line)

System Variables

New System Variables

  • BACTIONCOLOR - Sets the text color of actions in the Block Editor
  • BDEPENDENCYHIGHLIGHT - Controls whether or not dependent objects are dependency highlighted when a parameter, action, or grip is selected in the Block Editor
  • BGRIPOBJCOLOR - Sets the color of grips in the Block Editor
  • BGRIPOBJSIZE - Sets the display size of custom grips in the Block Editor relative to the screen display
  • BLOCKEDITLOCK - Disallows opening of the Block Editor and editing of dynamic block definitions
  • BLOCKEDITOR - Reflects whether or not the Block Editor is open
  • BPARAMETERCOLOR - Sets the color of parameters in the Block Editor
  • BPARAMETERFONT - Sets the font used for parameters and actions in the Block Editor
  • BPARAMETERSIZE - Sets the size of parameter text and features in the Block Editor relative to the screen display
  • BTMARKDISPLAY - Controls whether or not value set markers are displayed
  • BVMODE - Controls how objects that are made invisible for the current visibility state are displayed in the Block Editor
  • CALCINPUT - Controls whether or not value set markers are displayed
  • CENTERMT - Controls how grips stretch multiline text that is centered horizontally
  • CLISTATE - Stores a value that indicates whether the command window is hidden or displayed
  • CMDINPUTHISTORYMAX - Sets the maximum number of previous input values that are stored for a prompt in a command
  • CROSSINGAREACOLOR - Controls the color of the selection area during crossing selection
  • DRSTATE - Determines whether the Drawing Recovery window is active or not
  • DTEXTED - Specifies the user interface for editing single-line text
  • DYNDIGRIP - Controls which dynamic dimensions are displayed during grip stretch editing
  • DYNDIVIS - Controls how many dynamic dimensions are displayed during grip stretch editing
  • DYNMODE - Turns Dynamic Input features on and off
  • DYNPICOORDS - Controls whether pointer input uses relative or absolute format for coordinates
  • DYNPIFORMAT - Controls whether pointer input uses polar or Cartesian format for coordinates
  • DYNPIVIS - Controls when pointer input is displayed
  • DYNPROMPT - Controls display of prompts in Dynamic Input tooltips
  • DYNTOOLTIPS - Controls which tooltips are affected by tooltip appearance settings
  • ENTERPRISEMENU - Stores the CUI file name (if defined), including the path for the file name
  • FULLPLOTPATH - Controls whether the full path of the drawing file is sent to the plot spooler
  • GRIPDYNCOLOR - Controls the color of custom grips for dynamic blocks
  • HPINHERIT - Controls how MATCHPROP copies the hatch origin from the source object to the destination hatch objects
  • HPOBJWARNING - Sets the number of hatch boundary objects that can be selected before displaying a warning message
  • HPORIGIN - Sets the hatch origin point for new hatch objects relative to the current user coordinate system
  • HPORIGINMODE - Controls how HATCH determines the default hatch origin point
  • HPSEPARATE - Controls whether HATCH creates a single hatch object or separate hatch objects when operating on several closed boundaries
  • INPUTHISTORYMODE - Controls the content and location of the display of a history of user input
  • INTELLIGENTUPDATE - Controls the graphics refresh rate
  • LAYERFILTERALERT - Deletes excessive layer filters to improve performance
  • LOCKUI - Locks the position and size of toolbars and windows such as DesignCenter and Properties palette
  • OSNAPZ - Controls whether object snaps are automatically projected onto a plane parallel to the XY plane of the current UCS at the current elevation
  • PREVIEWEFFECT - Specifies the visual effect used for previewing selection of objects
  • PREVIEWFILTER - Excludes specified object types from selection previewing
  • QCSTATE - Determines whether the QuickCalc calculator is active or not
  • RECOVERYMODE - Controls whether drawing recovery information is recorded after a system failure
  • SELECTIONAREA - Controls the display of effects for selection areas
  • SELECTIONAREAOPACITY - Controls the transparency of the selection area during window and crossing selection
  • SELECTIONPREVIEW - Controls the display of selection previewing
  • SHOWLAYERUSAGE - Displays icons in the Layer Properties Manager to indicate whether layers are in use
  • SSMPOLLTIME - Controls the time interval between automatic refreshes of the status data in a sheet set
  • SSMSHEETSTATUS - Controls how the status data in a sheet set is refreshed
  • TABLEINDICATOR - Controls the display of row numbers and column letters when the In-Place Text Editor is open for editing a table cell
  • TEMPOVERRIDES - Turns temporary override keys on and off
  • TOOLTIPMERGE - Combines drafting tooltips into a single tooltip
  • VTENABLE - Controls when smooth view transitions are used
  • VTDURATION - Sets the duration of a smooth view transition, in milliseconds
  • VTFPS - Sets the minimum speed of a smooth view transition, in frames per second
  • WINDOWAREACOLOR - Controls the color of the transparent selection area during window selection
  • WSCURRENT - Returns the current workspace name in the command line interface and sets a workspace to current

Changed System Variables

  • AFLAGS - Sets options for attributes
  • INSUNITS - Specifies a drawing-units value for automatic scaling of blocks, images, or xrefs inserted or attached to a drawing

  • MTEXTED - Sets the name of the application to use for editing multiline text objects
  • UNDOCTL - Indicates the state of the Auto, Control, and Group options of the UNDO command


Trademarks

The following are registered trademarks of Autodesk, Inc., in the USA and/or other countries: 3D Studio, 3D Studio MAX, 3D Studio VIZ, 3ds max, ActiveShapes, ActiveShapes (logo), Actrix, ADI, AEC-X, ATC, AUGI, AutoCAD, AutoCAD LT, Autodesk, Autodesk Envision, Autodesk Inventor, Autodesk Map, Autodesk MapGuide, Autodesk Streamline, Autodesk WalkThrough, Autodesk World, AutoLISP, AutoSketch, backdraft, Biped, bringing information down to earth, Buzzsaw, CAD Overlay, Character Studio, Cinepak, Cinepak (logo), cleaner, Codec Central, combustion, Design Your World, Design Your World (logo), EditDV, Education by Design, gmax, Heidi, HOOPS, Hyperwire, i-drop, IntroDV, lustre, Mechanical Desktop, ObjectARX, Physique, Powered with Autodesk Technology (logo), ProjectPoint, RadioRay, Reactor, Revit, VISION*, Visual, Visual Construction, Visual Drainage, Visual Hydro, Visual Landscape, Visual Roads, Visual Survey, Visual Toolbox, Visual Tugboat, Visual LISP, Volo, WHIP!, and WHIP! (logo).

The following are trademarks of Autodesk, Inc., in the USA and/or other countries: AutoCAD Learning Assistance, AutoCAD LT Learning Assistance, AutoCAD Simulator, AutoCAD SQL Extension, AutoCAD SQL Interface, AutoSnap, AutoTrack, Built with ObjectARX (logo), burn, Buzzsaw.com, CAiCE, Cinestream, Civil 3D, cleaner central, ClearScale, Colour Warper, Content Explorer, Dancing Baby (image), DesignCenter, Design Doctor, Designer's Toolkit, DesignKids, DesignProf, DesignServer, Design Web Format, DWF, DWFit, DWG Linking, DXF, Extending the Design Team, GDX Driver, gmax (logo), gmax ready (logo),Heads-up Design, jobnet, mass, ObjectDBX, onscreen onair online, Plasma, PolarSnap, Productstream, Real-time Roto, Render Queue, Visual Bridge, Visual Syllabus, and Where Design Connects.